#! /usr/bin/perl -w

#  This file is part of ff3d - http://www.freefem.org/ff3d
#  Copyright (C) 2003  Laboratoire J.-L. Lions UPMC Paris

#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 2, or (at your option)
#  any later version.

#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.

#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software Foundation,
#  Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.  

#  $Id: scene.pl,v 1.3 2003/08/04 09:26:42 ArceneL Exp $

# Test of the "scene" keyword

require 'check.ph';

Run(<< 'EOF');
vector n = (10,10,10);
vertex a = (0,0,0);
vertex b = (1,1,1);
mesh M = structured(n,a,b);
EOF

### Not implemented yet!
LineCheck('toto');

Report();
